System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum System.Flags

The enumeration is returned by the property of the class.

Gets the state of a object.

- Field
  System.Data.DataRowState To be added

  The row has been added to a , and has not been called.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.DataRowState To be added

  The row was deleted using the method of the .

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.DataRowState To be added

  The row has been created but is not part of any . A is in this state immediately after it has been created and before it is added to a collection, or if it has been removed from a collection.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.DataRowState To be added

  The row has been modified and has not been called.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.DataRowState To be added

  The row has not changed since was last called.

  1.0.5000.0
  2.0.0.0